-- version and date
local revision = tonumber(("$Revision: 46515 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2007-08-14 07:01:24 -0400 (Tue, 14 Aug 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownNECB")
L:RegisterTranslations("enUS", function() return {
    ["Natur EnemyCastBar"] = true,
} end)

-- constants
local FREQUENCY = 21

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase, "AceEvent-2.0")

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "CECB_Options", L["Natur EnemyCastBar"])
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    -- start the bars now
    self:Display()
    
    -- repeatedly schedule a new test display
    self:ScheduleRepeatingEvent("NECBShakedownDisplay", self.Display, FREQUENCY, self)
    
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)
    
    -- stop display scheduling
    self:CancelScheduledEvent("NECBShakedownDisplay")

    -- stop the bars using the same method as the "movable bar" button in the options
    CEnemyCastBar_Handler("clear")

end

function Addon.prototype:Display()

    -- start the bars using the same method as the "movable bar" button in the options
    CEnemyCastBar_Options("show")    

end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()